Deskhero Developer Hub
Back to deskhero.com
Web socket

Init auth

Registers a pending websocket connection for the signed in User and returns the wss endpoint together with the one time token (connection id and secret) to present when opening the socket. A pending connection for the same User created within the last 5 minutes is reused instead of a new one being made.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/web_socket/init_auth
Authorisation
Minimum role: USER

Request arguments

Name Type Source
Request body example
No input arguments

Response

Status
200 (OK)
Type
DTO_web_socket_init
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_web_socket_init
NameTypeReadOnlyDescription
dh_tokenStringReadOnlyDh token
socket_urlStringReadOnlySocket url

Generated Aug 4, 2026 18:37